#### PyKDE - Python Bindings for KDE

# class KDataToolAction

Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | KDataToolAction
Inherits | TDEAction

### methods

- KDataToolAction (text, info, command, parent = 0, name = 0)

  returns a KDataToolAction instance

  Argument | Type | Default
  --- | --- | ---
  text | TQString |
  info | KDataToolInfo |
  command | TQString |
  parent | TQObject | 0
  name | char | 0

- dataToolActionList (tools, receiver, slot)

  returns (TQPtrList<TDEAction>)
  static

  Argument | Type | Default
  --- | --- | ---
  tools | TQValueList<KDataToolInfo> |
  receiver | TQObject |
  slot | char |

- slotActivated ()

  returns nothing

- toolActivated (info, command)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  info | KDataToolInfo |
  command | TQString |